package com.bocloud.cmp.provider.compute;

import com.bocloud.cmp.model.azure.AvailabilitySetModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ClassName: AvailabilitySetProvider
 * @Description:可用性集
 * @author: zhenpingLi/李振平
 * @date: 2020/10/15 20:45
 */
public interface AvailabilitySetProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(AvailabilitySetModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "need implement");
    }

}